Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 3912)
+++ issm/trunk/src/c/Makefile.am	(revision 3913)
@@ -684,156 +732,156 @@
 					./EnumDefinitions/EnumAsString.cpp\
 					./EnumDefinitions/StringAsEnum.cpp\
-					./ModelProcessorx/ModelProcessorx.h\
-					./ModelProcessorx/Partitioning.cpp\
-					./ModelProcessorx/CreateDataSets.cpp\
-					./ModelProcessorx/CreateParameters.cpp\
-					./ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp\
-					./ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp\
-					./ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp \
-					./ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp\
-					./ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp\
-					./ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp \
-					./ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp\
-					./ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp\
-					./ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp \
-					./ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp\
-					./ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp\
-					./ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp \
-					./ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp\
-					./ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp\
-					./ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp \
-					./ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp\
-					./ModelProcessorx/Control/CreateParametersControl.cpp\
-					./ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp\
-					./ModelProcessorx/Thermal/CreateConstraintsThermal.cpp\
-					./ModelProcessorx/Thermal/CreateLoadsThermal.cpp\
-					./ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp\
-					./ModelProcessorx/Melting/CreateConstraintsMelting.cpp\
-					./ModelProcessorx/Melting/CreateLoadsMelting.cpp\
-					./ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp\
-					./ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp\
-					./ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp\
-					./ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp\
-					./ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp\
-					./ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp\
-					./ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp\
-					./ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp\
-					./ModelProcessorx/Qmu/CreateParametersQmu.cpp\
-					./Dofx/Dofx.h\
-					./Dofx/Dofx.cpp\
-					./Dux/Dux.h\
-					./Dux/Dux.cpp\
-					./ControlConstrainx/ControlConstrainx.h\
-					./ControlConstrainx/ControlConstrainx.cpp\
-					./SurfaceAreax/SurfaceAreax.h\
-					./SurfaceAreax/SurfaceAreax.cpp\
-					./Misfitx/Misfitx.h\
-					./Misfitx/Misfitx.cpp\
-					./CostFunctionx/CostFunctionx.h\
-					./CostFunctionx/CostFunctionx.cpp\
-					./Orthx/Orthx.h\
-					./Orthx/Orthx.cpp\
-					./Gradjx/Gradjx.h\
-					./Gradjx/Gradjx.cpp\
-					./SplitSolutionVectorx/SplitSolutionVectorx.h\
-					./SplitSolutionVectorx/SplitSolutionVectorx.cpp\
-					./UpdateInputsFromConstantx/UpdateInputsFromConstantx.h\
-					./UpdateInputsFromConstantx/UpdateInputsFromConstantx.cpp\
-					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.h\
-					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp\
-					./GetSolutionFromInputsx/GetSolutionFromInputsx.h\
-					./GetSolutionFromInputsx/GetSolutionFromInputsx.cpp\
-					./UpdateInputsFromVectorx/UpdateInputsFromVectorx.h\
-					./UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp\
-					./UpdateGeometryx/UpdateGeometryx.h\
-					./UpdateGeometryx/UpdateGeometryx.cpp\
-					./UpdateVertexPositionsx/UpdateVertexPositionsx.h\
-					./UpdateVertexPositionsx/UpdateVertexPositionsx.cpp\
-					./ConfigureObjectsx/ConfigureObjectsx.h\
-					./ConfigureObjectsx/ConfigureObjectsx.cpp\
-					./ComputeBasalStressx/ComputeBasalStressx.h\
-					./ComputeBasalStressx/ComputeBasalStressx.cpp\
-					./ComputePressurex/ComputePressurex.h\
-					./ComputePressurex/ComputePressurex.cpp\
-					./ComputeStrainRatex/ComputeStrainRatex.h\
-					./ComputeStrainRatex/ComputeStrainRatex.cpp\
-					./BuildNodeSetsx/BuildNodeSetsx.h\
-					./BuildNodeSetsx/BuildNodeSetsx.cpp\
-					./BuildNodeSetsx/PartitionSets.cpp\
-					./SpcNodesx/SpcNodesx.h\
-					./SpcNodesx/SpcNodesx.cpp\
-					./MpcNodesx/MpcNodesx.h\
-					./MpcNodesx/MpcNodesx.cpp\
-					./InterpFromGridToMeshx/InterpFromGridToMeshx.cpp\
-					./InterpFromGridToMeshx/InterpFromGridToMeshx.h\
-					./InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp\
-					./InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp\
-					./InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h\
-					./InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp\
-					./InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h\
-					./InterpFromMeshToGridx/InterpFromMeshToGridx.cpp\
-					./InterpFromMeshToGridx/InterpFromMeshToGridx.h\
-					./HoleFillerx/HoleFillerx.cpp\
-					./HoleFillerx/HoleFillerx.h\
-					./AverageFilterx/AverageFilterx.cpp\
-					./AverageFilterx/AverageFilterx.h\
-					./MeshPartitionx/MeshPartitionx.cpp\
-					./MeshPartitionx/MeshPartitionx.h\
-					./ContourToMeshx/ContourToMeshx.cpp\
-					./ContourToMeshx/ContourToMeshxt.cpp\
-					./ContourToMeshx/ContourToMeshx.h\
-					./Reducevectorgtosx/Reducevectorgtosx.cpp\
-					./Reducevectorgtosx/Reducevectorgtosx.h\
-					./Reducevectorgtofx/Reducevectorgtofx.cpp\
-					./Reducevectorgtofx/Reducevectorgtofx.h\
-					./Reducematrixfromgtofx/Reducematrixfromgtofx.cpp\
-					./Reducematrixfromgtofx/Reducematrixfromgton.cpp\
-					./Reducematrixfromgtofx/Reducematrixfromgtofx.h\
-					./Reduceloadfromgtofx/Reduceloadfromgtofx.h\
-					./Reduceloadfromgtofx/Reduceloadfromgtofx.cpp\
-					./NormalizeConstraintsx/NormalizeConstraintsx.cpp\
-					./NormalizeConstraintsx/NormalizeConstraintsx.h\
-					./MassFluxx/MassFluxx.cpp\
-					./MassFluxx/MassFluxx.h\
-					./SystemMatricesx/SystemMatricesx.cpp\
-					./SystemMatricesx/SystemMatricesx.h\
-					./PenaltyConstraintsx/PenaltyConstraintsx.cpp\
-					./PenaltyConstraintsx/PenaltyConstraintsx.h\
-					./PenaltyConstraintsx/RiftConstraints.cpp\
-					./PenaltyConstraintsx/RiftConstraints.h\
-					./PenaltySystemMatricesx/PenaltySystemMatricesx.cpp\
-					./PenaltySystemMatricesx/PenaltySystemMatricesx.h\
-					./Solverx/Solverx.cpp\
-					./Solverx/Solverx.h\
-					./Mergesolutionfromftogx/Mergesolutionfromftogx.cpp\
-					./Mergesolutionfromftogx/Mergesolutionfromftogx.h\
-					./ProcessParamsx/ProcessParamsx.cpp\
-					./ProcessParamsx/ProcessParamsx.h\
-					./Qmux/Qmux.h\
-					./Qmux/Qmux.cpp\
-					./Qmux/DakotaResponses.cpp\
-					./Qmux/SpawnCore.cpp\
-					./Qmux/SpawnCoreParallel.cpp\
-					./FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp\
-					./FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h\
-					./FieldDepthAveragex/FieldDepthAveragex.cpp\
-					./FieldDepthAveragex/FieldDepthAveragex.h\
-					./DepthAverageInputx/DepthAverageInputx.cpp\
-					./DepthAverageInputx/DepthAverageInputx.h\
-					./FieldExtrudex/FieldExtrudex.cpp\
-					./FieldExtrudex/FieldExtrudex.h\
-					./InputToResultx/InputToResultx.cpp\
-					./InputToResultx/InputToResultx.h\
-					./ExtrudeInputx/ExtrudeInputx.cpp\
-					./ExtrudeInputx/ExtrudeInputx.h\
-					./OutputRiftsx/OutputRiftsx.h\
-					./OutputRiftsx/OutputRiftsx.cpp\
+					./modules/ModelProcessorx/ModelProcessorx.h\
+					./modules/ModelProcessorx/Partitioning.cpp\
+					./modules/ModelProcessorx/CreateDataSets.cpp\
+					./modules/ModelProcessorx/CreateParameters.cpp\
+					./modules/ModelProcessorx/CreateSingleNodeToElementConnectivity.cpp\
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp\
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateConstraintsDiagnosticHoriz.cpp \
+					./modules/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp\
+					./modules/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp\
+					./modules/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp \
+					./modules/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp\
+					./modules/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp\
+					./modules/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp \
+					./modules/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp\
+					./modules/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp\
+					./modules/ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp \
+					./modules/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp\
+					./modules/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp\
+					./modules/ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp \
+					./modules/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp\
+					./modules/ModelProcessorx/Control/CreateParametersControl.cpp\
+					./modules/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp\
+					./modules/ModelProcessorx/Thermal/CreateConstraintsThermal.cpp\
+					./modules/ModelProcessorx/Thermal/CreateLoadsThermal.cpp\
+					./modules/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp\
+					./modules/ModelProcessorx/Melting/CreateConstraintsMelting.cpp\
+					./modules/ModelProcessorx/Melting/CreateLoadsMelting.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp\
+					./modules/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateConstraintsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateConstraintsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateElementsNodesAndMaterialsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateConstraintsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Balancedvelocities/CreateLoadsBalancedvelocities.cpp\
+					./modules/ModelProcessorx/Qmu/CreateParametersQmu.cpp\
+					./modules/Dofx/Dofx.h\
+					./modules/Dofx/Dofx.cpp\
+					./modules/Dux/Dux.h\
+					./modules/Dux/Dux.cpp\
+					./modules/ControlConstrainx/ControlConstrainx.h\
+					./modules/ControlConstrainx/ControlConstrainx.cpp\
+					./modules/SurfaceAreax/SurfaceAreax.h\
+					./modules/SurfaceAreax/SurfaceAreax.cpp\
+					./modules/Misfitx/Misfitx.h\
+					./modules/Misfitx/Misfitx.cpp\
+					./modules/CostFunctionx/CostFunctionx.h\
+					./modules/CostFunctionx/CostFunctionx.cpp\
+					./modules/Orthx/Orthx.h\
+					./modules/Orthx/Orthx.cpp\
+					./modules/Gradjx/Gradjx.h\
+					./modules/Gradjx/Gradjx.cpp\
+					./modules/SplitSolutionVectorx/SplitSolutionVectorx.h\
+					./modules/SplitSolutionVectorx/SplitSolutionVectorx.cpp\
+					./modules/UpdateInputsFromConstantx/UpdateInputsFromConstantx.h\
+					./modules/UpdateInputsFromConstantx/UpdateInputsFromConstantx.cpp\
+					./modules/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.h\
+					./modules/UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp\
+					./modules/GetSolutionFromInputsx/GetSolutionFromInputsx.h\
+					./modules/GetSolutionFromInputsx/GetSolutionFromInputsx.cpp\
+					./modules/UpdateInputsFromVectorx/UpdateInputsFromVectorx.h\
+					./modules/UpdateInputsFromVectorx/UpdateInputsFromVectorx.cpp\
+					./modules/UpdateGeometryx/UpdateGeometryx.h\
+					./modules/UpdateGeometryx/UpdateGeometryx.cpp\
+					./modules/UpdateVertexPositionsx/UpdateVertexPositionsx.h\
+					./modules/UpdateVertexPositionsx/UpdateVertexPositionsx.cpp\
+					./modules/ConfigureObjectsx/ConfigureObjectsx.h\
+					./modules/ConfigureObjectsx/ConfigureObjectsx.cpp\
+					./modules/ComputeBasalStressx/ComputeBasalStressx.h\
+					./modules/ComputeBasalStressx/ComputeBasalStressx.cpp\
+					./modules/ComputePressurex/ComputePressurex.h\
+					./modules/ComputePressurex/ComputePressurex.cpp\
+					./modules/ComputeStrainRatex/ComputeStrainRatex.h\
+					./modules/ComputeStrainRatex/ComputeStrainRatex.cpp\
+					./modules/BuildNodeSetsx/BuildNodeSetsx.h\
+					./modules/BuildNodeSetsx/BuildNodeSetsx.cpp\
+					./modules/BuildNodeSetsx/PartitionSets.cpp\
+					./modules/SpcNodesx/SpcNodesx.h\
+					./modules/SpcNodesx/SpcNodesx.cpp\
+					./modules/MpcNodesx/MpcNodesx.h\
+					./modules/MpcNodesx/MpcNodesx.cpp\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshx.h\
+					./modules/InterpFromGridToMeshx/InterpFromGridToMeshxt.cpp\
+					./modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp\
+					./modules/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.h\
+					./modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp\
+					./modules/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.h\
+					./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp\
+					./modules/InterpFromMeshToGridx/InterpFromMeshToGridx.h\
+					./modules/HoleFillerx/HoleFillerx.cpp\
+					./modules/HoleFillerx/HoleFillerx.h\
+					./modules/AverageFilterx/AverageFilterx.cpp\
+					./modules/AverageFilterx/AverageFilterx.h\
+					./modules/MeshPartitionx/MeshPartitionx.cpp\
+					./modules/MeshPartitionx/MeshPartitionx.h\
+					./modules/ContourToMeshx/ContourToMeshx.cpp\
+					./modules/ContourToMeshx/ContourToMeshxt.cpp\
+					./modules/ContourToMeshx/ContourToMeshx.h\
+					./modules/Reducevectorgtosx/Reducevectorgtosx.cpp\
+					./modules/Reducevectorgtosx/Reducevectorgtosx.h\
+					./modules/Reducevectorgtofx/Reducevectorgtofx.cpp\
+					./modules/Reducevectorgtofx/Reducevectorgtofx.h\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgtofx.cpp\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgton.cpp\
+					./modules/Reducematrixfromgtofx/Reducematrixfromgtofx.h\
+					./modules/Reduceloadfromgtofx/Reduceloadfromgtofx.h\
+					./modules/Reduceloadfromgtofx/Reduceloadfromgtofx.cpp\
+					./modules/NormalizeConstraintsx/NormalizeConstraintsx.cpp\
+					./modules/NormalizeConstraintsx/NormalizeConstraintsx.h\
+					./modules/MassFluxx/MassFluxx.cpp\
+					./modules/MassFluxx/MassFluxx.h\
+					./modules/SystemMatricesx/SystemMatricesx.cpp\
+					./modules/SystemMatricesx/SystemMatricesx.h\
+					./modules/PenaltyConstraintsx/PenaltyConstraintsx.cpp\
+					./modules/PenaltyConstraintsx/PenaltyConstraintsx.h\
+					./modules/PenaltyConstraintsx/RiftConstraints.cpp\
+					./modules/PenaltyConstraintsx/RiftConstraints.h\
+					./modules/PenaltySystemMatricesx/PenaltySystemMatricesx.cpp\
+					./modules/PenaltySystemMatricesx/PenaltySystemMatricesx.h\
+					./modules/Solverx/Solverx.cpp\
+					./modules/Solverx/Solverx.h\
+					./modules/Mergesolutionfromftogx/Mergesolutionfromftogx.cpp\
+					./modules/Mergesolutionfromftogx/Mergesolutionfromftogx.h\
+					./modules/ProcessParamsx/ProcessParamsx.cpp\
+					./modules/ProcessParamsx/ProcessParamsx.h\
+					./modules/Qmux/Qmux.h\
+					./modules/Qmux/Qmux.cpp\
+					./modules/Qmux/DakotaResponses.cpp\
+					./modules/Qmux/SpawnCore.cpp\
+					./modules/Qmux/SpawnCoreParallel.cpp\
+					./modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp\
+					./modules/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.h\
+					./modules/FieldDepthAveragex/FieldDepthAveragex.cpp\
+					./modules/FieldDepthAveragex/FieldDepthAveragex.h\
+					./modules/DepthAverageInputx/DepthAverageInputx.cpp\
+					./modules/DepthAverageInputx/DepthAverageInputx.h\
+					./modules/FieldExtrudex/FieldExtrudex.cpp\
+					./modules/FieldExtrudex/FieldExtrudex.h\
+					./modules/InputToResultx/InputToResultx.cpp\
+					./modules/InputToResultx/InputToResultx.h\
+					./modules/ExtrudeInputx/ExtrudeInputx.cpp\
+					./modules/ExtrudeInputx/ExtrudeInputx.h\
+					./modules/OutputRiftsx/OutputRiftsx.h\
+					./modules/OutputRiftsx/OutputRiftsx.cpp\
 					./solutions/diagnostic_core.cpp\
 					./solutions/diagnostic_core_linear.cpp\
@@ -861,66 +909,8 @@
 					./solutions/steadystate_core.cpp\
 					./solutions/OutputResults.cpp\
-					./Bamgx/Bamgx.cpp\
-					./Bamgx/Bamgx.h\
-					./Bamgx/include/include.h \
-					./Bamgx/include/macros.h \
-					./Bamgx/include/typedefs.h \
-					./Bamgx/objects/BamgObjects.h \
-					./Bamgx/objects/CrackedEdge.h\
-					./Bamgx/objects/CrackedEdge.cpp\
-					./Bamgx/objects/Curve.h\
-					./Bamgx/objects/Curve.cpp\
-					./Bamgx/objects/Direction.h\
-					./Bamgx/objects/Direction.cpp\
-					./Bamgx/objects/DoubleAndInt.h\
-					./Bamgx/objects/Edge.h\
-					./Bamgx/objects/Edge.cpp\
-					./Bamgx/objects/GeometricalEdge.h\
-					./Bamgx/objects/GeometricalEdge.cpp\
-					./Bamgx/objects/GeometricalSubDomain.h\
-					./Bamgx/objects/GeometricalSubDomain.cpp\
-					./Bamgx/objects/GeometricalVertex.h\
-					./Bamgx/objects/GeometricalVertex.cpp\
-					./Bamgx/objects/Geometry.cpp\
-					./Bamgx/objects/Geometry.h\
-					./Bamgx/objects/ListofIntersectionTriangles.cpp\
-					./Bamgx/objects/ListofIntersectionTriangles.h\
-					./Bamgx/objects/MatVVP2x2.cpp\
-					./Bamgx/objects/Metric.cpp\
-					./Bamgx/objects/Metric.h\
-					./Bamgx/objects/QuadTree.cpp\
-					./Bamgx/objects/QuadTree.h\
-					./Bamgx/objects/R2.h\
-					./Bamgx/objects/SetOfE4.cpp\
-					./Bamgx/objects/SetOfE4.h\
-					./Bamgx/objects/SubDomain.h\
-					./Bamgx/objects/SubDomain.cpp\
-					./Bamgx/objects/TriangleAdjacent.h\
-					./Bamgx/objects/TriangleAdjacent.cpp\
-					./Bamgx/objects/Triangle.cpp\
-					./Bamgx/objects/Triangle.h\
-					./Bamgx/objects/Triangles.cpp\
-					./Bamgx/objects/Triangles.h\
-					./Bamgx/objects/MeshVertex.cpp\
-					./Bamgx/objects/MeshVertex.h\
-					./Bamgx/objects/VertexOnEdge.h\
-					./Bamgx/objects/VertexOnEdge.cpp\
-					./Bamgx/objects/VertexOnGeom.h\
-					./Bamgx/objects/VertexOnGeom.cpp\
-					./Bamgx/objects/VertexOnVertex.h\
-					./Bamgx/objects/VertexOnVertex.cpp\
-					./Bamgx/shared/Abs.h \
-					./Bamgx/shared/BigPrimeNumber.h\
-					./Bamgx/shared/BigPrimeNumber.cpp\
-					./Bamgx/shared/BinaryRand.h \
-					./Bamgx/shared/det.h \
-					./Bamgx/shared/Exchange.h \
-					./Bamgx/shared/extrema.h \
-					./Bamgx/shared/HeapSort.h \
-					./Bamgx/shared/Norm.h \
-					./Bamgx/shared/OppositeAngle.h \
-					./Bamgx/shared/shared.h\
-					./BamgConvertMeshx/BamgConvertMeshx.cpp\
-					./BamgConvertMeshx/BamgConvertMeshx.h
+					./modules/Bamgx/Bamgx.cpp\
+					./modules/Bamgx/Bamgx.h\
+					./modules/BamgConvertMeshx/BamgConvertMeshx.cpp\
+					./modules/BamgConvertMeshx/BamgConvertMeshx.h
 
 libpISSM_a_CXXFLAGS = -fPIC -D_PARALLEL_   -D_C_ $(CXXOPTFLAGS)
Index: issm/trunk/src/c/include/macros.h
===================================================================
--- issm/trunk/src/c/include/macros.h	(revision 3912)
+++ issm/trunk/src/c/include/macros.h	(revision 3913)
@@ -5,4 +5,6 @@
 #ifndef _MACROS_H_
 #define _MACROS_H_
+
+#include "./typedefs.h"
 
 #ifdef HAVE_CONFIG_H
@@ -67,3 +69,4 @@
 #endif
 
+
 #endif
Index: issm/trunk/src/c/modules/AverageFilterx/AverageFilterx.cpp
===================================================================
--- issm/trunk/src/c/modules/AverageFilterx/AverageFilterx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/AverageFilterx/AverageFilterx.cpp	(revision 3913)
@@ -8,5 +8,5 @@
 #include <time.h>
 #include "./AverageFilterx.h"
-#include "../shared/shared.h"
+#include "../../shared/shared.h"
 
 int AverageFilterx(double** pimageout,double* image, int lines,int samps,int smooth){
Index: issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.cpp
===================================================================
--- issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.cpp	(revision 3913)
@@ -4,9 +4,8 @@
 #include "./BamgConvertMeshx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-
-#include "../Bamgx/objects/BamgObjects.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../objects/objects.h"
 
 using namespace bamg;
Index: issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.h
===================================================================
--- issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.h	(revision 3912)
+++ issm/trunk/src/c/modules/BamgConvertMeshx/BamgConvertMeshx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _BAMGCONVERTMESHX_H
 
-#include "../objects/objects.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.cpp
===================================================================
--- issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./BuildNodeSetsx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 int BuildNodeSetsx( NodeSets** pnodesets, DataSet* nodes){
Index: issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.h
===================================================================
--- issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.h	(revision 3912)
+++ issm/trunk/src/c/modules/BuildNodeSetsx/BuildNodeSetsx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _BUILDNODESETSX_H
 
-#include "../DataSet/DataSet.h" 
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h" 
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/BuildNodeSetsx/PartitionSets.cpp
===================================================================
--- issm/trunk/src/c/modules/BuildNodeSetsx/PartitionSets.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/BuildNodeSetsx/PartitionSets.cpp	(revision 3913)
@@ -4,6 +4,6 @@
 	
 #include "stdio.h"
-#include "../shared/shared.h"
-#include "../include/include.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
 
 void PartitionSets(Vec* ppartitionb, Vec* ppartitionc,Vec flags_a,Vec flags_b,Vec flags_c,int gsize){
Index: issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp
===================================================================
--- issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ComputeBasalStressx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void	ComputeBasalStressx( Vec* psigma,DataSet* elements,DataSet* nodes, DataSet* vertices,DataSet* loads, DataSet* materials,Parameters* parameters,
Index: issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h
===================================================================
--- issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _COMPUTEBASALSTRESSX_H
 
-#include "../objects/objects.h"
-#include "../DataSet/DataSet.h"
+#include "../../objects/objects.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.cpp
===================================================================
--- issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ComputePressurex.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void	ComputePressurex( Vec* pp_g,DataSet* elements,DataSet* nodes, DataSet* vertices,DataSet* loads, DataSet* materials,Parameters* parameters,
Index: issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.h
===================================================================
--- issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.h	(revision 3912)
+++ issm/trunk/src/c/modules/ComputePressurex/ComputePressurex.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _COMPUTEPRESSUREX_H
 
-#include "../DataSet/DataSet.h"
-#include "../objects/objects.h"
+#include "../../DataSet/DataSet.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.cpp
===================================================================
--- issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ComputeStrainRatex.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void	ComputeStrainRatex( Vec* peps,DataSet* elements,DataSet* nodes, DataSet* vertices,DataSet* loads, DataSet* materials,Parameters* parameters,
Index: issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h
===================================================================
--- issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 3912)
+++ issm/trunk/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 3913)
@@ -6,6 +6,6 @@
 #define _COMPUTESTRAINRATEX_H
 
-#include "../objects/objects.h"
-#include "../DataSet/DataSet.h"
+#include "../../objects/objects.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp
===================================================================
--- issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ConfigureObjectsx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 int	ConfigureObjectsx( DataSet* elements, DataSet* loads, DataSet* nodes, DataSet* vertices, DataSet* materials,Parameters* parameters){
Index: issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h
===================================================================
--- issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _CONFIGUREOBJECTSX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ContourToMeshx/ContourToMeshx.h
===================================================================
--- issm/trunk/src/c/modules/ContourToMeshx/ContourToMeshx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ContourToMeshx/ContourToMeshx.h	(revision 3913)
@@ -7,6 +7,6 @@
 #define _CONTOURTOMESHX_H
 
-#include "../shared/shared.h"
-#include "../objects/objects.h"
+#include "../../shared/shared.h"
+#include "../../objects/objects.h"
 
 /*threading: */
Index: issm/trunk/src/c/modules/ContourToNodesx/ContourToNodesx.h
===================================================================
--- issm/trunk/src/c/modules/ContourToNodesx/ContourToNodesx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ContourToNodesx/ContourToNodesx.h	(revision 3913)
@@ -7,6 +7,6 @@
 #define _CONTOURTONODESX_H
 
-#include "../shared/shared.h"
-#include "../objects/objects.h"
+#include "../../shared/shared.h"
+#include "../../objects/objects.h"
 
 /* local prototypes: */
Index: issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.cpp
===================================================================
--- issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.cpp	(revision 3912)
+++ issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.cpp	(revision 3913)
@@ -5,8 +5,8 @@
 #include "./ControlConstrainx.h"
 
-#include "../shared/shared.h"
-#include "../include/include.h"
-#include "../toolkits/toolkits.h"
-#include "../EnumDefinitions/EnumDefinitions.h"
+#include "../../shared/shared.h"
+#include "../../include/include.h"
+#include "../../toolkits/toolkits.h"
+#include "../../EnumDefinitions/EnumDefinitions.h"
 
 void ControlConstrainx( double* p_g, int numdofnodes, double cm_min, double cm_max,int control_type){
Index: issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.h
===================================================================
--- issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.h	(revision 3912)
+++ issm/trunk/src/c/modules/ControlConstrainx/ControlConstrainx.h	(revision 3913)
@@ -6,5 +6,5 @@
 #define _CONTROLCONSTRAINX_H
 
-#include "../DataSet/DataSet.h"
+#include "../../DataSet/DataSet.h"
 
 /* local prototypes: */
